org.apache.poi.xssf.usermodel

## Class XSSFTextBox

- java.lang.Object
- - org.apache.poi.xssf.usermodel.XSSFShape
  - - org.apache.poi.xssf.usermodel.XSSFSimpleShape
    - - org.apache.poi.xssf.usermodel.XSSFTextBox

- All Implemented Interfaces:
    java.lang.Iterable<XSSFTextParagraph>, Shape, SimpleShape, TextContainer

      public final class XSSFTextBox
      extends XSSFSimpleShape

  Represents a text box in a SpreadsheetML drawing.
  Author:
    Yegor Kozlov

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.xssf.usermodel.XSSFShape

      `anchor, drawing, parent`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XSSFTextBox(XSSFDrawing drawing, org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape ctShape)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.poi.xssf.usermodel.XSSFSimpleShape

      `addNewTextParagraph, addNewTextParagraph, addNewTextParagraph, clearText, findDefinedParagraphProperty, findDefinedRunProperty, getBottomInset, getCTShape, getLeftInset, getRightInset, getShapeId, getShapeName, getShapeProperties, getShapeType, getText, getTextAutofit, getTextBody, getTextDirection, getTextHorizontalOverflow, getTextParagraphs, getTextVerticalOverflow, getTopInset, getVerticalAlignment, getWordWrap, iterator, prototype, setBottomInset, setLeftInset, setRightInset, setShapeType, setText, setText, setTextAutofit, setTextDirection, setTextHorizontalOverflow, setTextVerticalOverflow, setTopInset, setVerticalAlignment, setWordWrap, setXfrm`

    - ### Methods inherited from class org.apache.poi.xssf.usermodel.XSSFShape

      `getAnchor, getDrawing, getParent, isNoFill, setFillColor, setLineStyle, setLineStyleColor, setLineWidth, setNoFill`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface org.apache.poi.ss.usermodel.Shape

      `getAnchor, getParent, isNoFill, setFillColor, setLineStyleColor, setNoFill`

- - ### Constructor Detail

    - #### XSSFTextBox

          protected XSSFTextBox(XSSFDrawing drawing,
                                org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape ctShape)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.